> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/nodejs/cloud-api/changelog.md).

# Changelog

## 6.1.0 (June 15th, 2022)

### Enhancements:

* added Application Load Balancer and Target Group, 18 new models and 2 new APIs

### Fixes:

* convert filters to map if they come as an object,
* removed parameter for `KubernetesClusterProperties`, `KubernetesClusterPropertiesForPost` models: `public`
* removed parameter for `KubernetesNodePoolProperties` model: `gatewayIp`

## 6.1.1 (Jul 14th, 2022)

### Features

* Added `manageDbaas` field in `group-properties.ts` : provides privilege for a group to manage DBaaS related functionality. Admin users already here this enabled by default.
* Added `deleteVolumes` to `datacentersServersDelete`: If true, all attached storage volumes will also be deleted.
* Added `boot_order` to `volume-properties.ts` : Determines whether the volume will be used as a boot volume. Set to `NONE`, the volume will not be used as boot volume. Set to `PRIMARY`, the volume will be used as boot volume and all other volumes must be set to `NONE`. Set to `AUTO` or `null` requires all volumes to be set to \`AUTO\` or \`null\`; this will use the legacy behavior, which is to use the volume as a boot volume only if there are no other volumes or cdrom devices. Defaults to `AUTO`.

## 6.1.2 (Oct 27th, 2022)

### Fixes

* Fixed `IONOS_TOKEN` authentication bug. Now, the authentication using `IONOS_TOKEN` works properly.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ionos.com/cloud/nodejs/cloud-api/changelog.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
